<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNameColInOpenFilePackagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('open_file_packages', function (Blueprint $table) {
            //
            $table->string('name')->after('id');
            $table->bigInteger('pricelist_id')->nullable()->change();
            $table->bigInteger('total_price')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('open_file_packages', function (Blueprint $table) {
            //
        });
    }
}
